commit:     444c1c62bef852a76b56dc19d4a46fead0e79043
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 22 18:45:19 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Feb 22 18:50:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=444c1c62

dev-ruby/propshaft: add 0.6.4

Closes: https://bugs.gentoo.org/833805
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/propshaft/Manifest               |  1 +
 dev-ruby/propshaft/propshaft-0.6.4.ebuild | 38 +++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-ruby/propshaft/Manifest b/dev-ruby/propshaft/Manifest
index 9604fec31116..a8b03693e954 100644
--- a/dev-ruby/propshaft/Manifest
+++ b/dev-ruby/propshaft/Manifest
@@ -1 +1,2 @@
 DIST propshaft-0.6.1-git.tgz 245087 BLAKE2B 
6e04ebc0315c263f79dbfc9f836b270b8b693e1a7e332a97d8abe5cc6555d0acc9efe3ae7979c901ca2c502460e8ee67b83420863d5dabdf50fbc2028aacd5b9
 SHA512 
35600b7e051810c7f0798f29faab7c7bcabf04198fc56ee9a4492d18ddfabf543cfbf11c28f35eb5e2a64eb57c65b95567e00441852ac0f29d8538ad8d5cb1b4
+DIST propshaft-0.6.4-git.tgz 245384 BLAKE2B 
8089c7ee8f8d41f761a31bcd4751899da86302cdf7e1d5a9ba673e8a64431b0e35bbfa7d09fb0caa5ca06457b7134f27c3f37ade213922d616b374adac9824c5
 SHA512 
3302e1a0ef4bd47094566b393db77f1181e3e3b67c08b18694cea48b4518a45893dc16238ce1d86965d0b37894069ddbe7040392e7cdcad5caa80d7ff86bf2eb

diff --git a/dev-ruby/propshaft/propshaft-0.6.4.ebuild 
b/dev-ruby/propshaft/propshaft-0.6.4.ebuild
new file mode 100644
index 000000000000..2573dcf1599e
--- /dev/null
+++ b/dev-ruby/propshaft/propshaft-0.6.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="propshaft.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Deliver assets for Rails"
+HOMEPAGE="https://github.com/rails/propshaft";
+SRC_URI="https://github.com/rails/propshaft/archive/v${PV}.tar.gz -> 
${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+
+IUSE=""
+
+ruby_add_rdepend "
+       >=dev-ruby/actionpack-7.0.0:*
+       >=dev-ruby/activesupport-7.0.0:*
+       dev-ruby/rack:*
+       >=dev-ruby/railties-7.0.0:*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rails-7.0.0 )"
+
+all_ruby_prepare() {
+       rm -f Gemfile.lock || die
+       sed -i -e '/debug/ s:^:#:' Gemfile || die
+
+       sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to